Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042884
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-15 13:342020-02-13 09:09
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionbdd233669137
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042884: Apply new HQL Style in StockReservationPickAndEditDataSource.java

DescriptionStockReservationPickAndEditDataSource.java has two HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116926)
inigo_lerga (developer)
2020-01-16 13:33
edited on: 2020-01-16 17:08

Test Plan Mantis HQL queries in lines 1063, 1461, 1882, 1197, 1281:
As the F&B International Group Admin role:
    - Go to the Preference window and create a new record with
      Organization * and "Enable Stock Reservations" as Property.
      Write "Y" as value and save the record.
    - Go to the Stock Reservation window and create a new
      record with "F&B España - Región Norte" as Organization
      and "Cerveza Lager 0,5L" with 5 units in the Quantity
      field.
      Press the Manage Stock button.
      #In this moment the modified HQLs are executed#
    - Select the only record that is shown in the popup window
      and write 5 in the Quantity field. Press the Done button.

Test Plan Mantis HQL query in line 1812:
Once completed the previous steps:
    - Press the Manage Stock button again.
      #In this moment the modified HQL is executed#
    - Press the Done button.

Test Plan Mantis HQL query in line 1852:
Once completed the previous steps:
    - Go to the Purchase Order window and create a new record with
      "Bebidas Alegres, S.L." as Business Partner.
      Go to the Lines Tab and create a new record with the Product
      "Cerveza Ale 0,5L" and 10 units as Ordered Quantity.
      Save and press the Book button and then OK button.
    - Go back to the Stock Reservation window and create a new
      record with "F&B España - Región Norte" as Organization
      and "Cerveza Ale 0,5L".
      Press the Manage Stock button.
      #In this moment the modified HQL is executed#

(0117138)
hgbot (developer)
2020-01-21 12:57

Repository: erp/devel/pi
Changeset: bdd233669137f38060a51db25e69f08a98e35032
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Jan 16 12:56:58 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bdd233669137f38060a51db25e69f08a98e35032 [^]

fixes BUG-42884:Applied new HQL Style

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0117139)
hgbot (developer)
2020-01-21 12:57

Repository: erp/devel/pi
Changeset: 098f1e0ea459a0bae60d3c0612126bf35a479b3e
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Jan 16 14:03:19 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/098f1e0ea459a0bae60d3c0612126bf35a479b3e [^]

related to ISSUE-42884: Applied Sonarlint suggestions

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0117140)
hgbot (developer)
2020-01-21 12:57

Repository: erp/devel/pi
Changeset: b7e37b36d21f1b781c0a8949b867204615ee9b7e
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 21 09:52:27 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b7e37b36d21f1b781c0a8949b867204615ee9b7e [^]

Related to ISSUE-42884. Code Review changes:
* Use id instead of object in query
* Extracted logic to method to improve redability
* Use StringUtils.isEmpty instead of checking if the string
  is null or empty manually

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---

- Issue History
Date Modified Username Field Change
2020-01-15 13:34 inigo_lerga New Issue
2020-01-15 13:34 inigo_lerga Assigned To => inigo_lerga
2020-01-15 13:34 inigo_lerga Modules => Core
2020-01-15 13:34 inigo_lerga Triggers an Emergency Pack => No
2020-01-15 13:34 inigo_lerga Relationship added related to 0041287
2020-01-16 08:20 inigo_lerga Status new => scheduled
2020-01-16 13:33 inigo_lerga Note Added: 0116926
2020-01-16 14:06 inigo_lerga Description Updated View Revisions
2020-01-16 17:08 inigo_lerga Note Edited: 0116926 View Revisions
2020-01-21 12:57 hgbot Checkin
2020-01-21 12:57 hgbot Note Added: 0117138
2020-01-21 12:57 hgbot Status scheduled => resolved
2020-01-21 12:57 hgbot Resolution open => fixed
2020-01-21 12:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bdd233669137f38060a51db25e69f08a98e35032 [^]
2020-01-21 12:57 hgbot Checkin
2020-01-21 12:57 hgbot Note Added: 0117139
2020-01-21 12:57 hgbot Checkin
2020-01-21 12:57 hgbot Note Added: 0117140
2020-02-13 09:09 inigo_lerga Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker